        d=open("basic")
        path=""
        if Find(d,1,1,"Путь")=0 then path=trim('Значение'.d)
        close(d)

        d=open("rekv")
        getfirst(d)
        glbuh = trim('Гл.бухг.'.d)
        rukov = trim('Руководит.'.d)
        predp = trim('Название1'.d)+" "+trim('Название2'.d)
        close(d)

        d2 = open("tdata")
        getfirst(d2)
        data = substr('Тек.дата'.d2,1,6)
        mec = num(substr('Тек.дата'.d2,5,2))
        god = substr('Тек.дата'.d2,1,4)  
        close(d2)

        if mec=0 then goto 900
        if mec=1 then namem = " января "
        if mec=2 then namem = " февраля "
        if mec=3 then namem = " марта "
        if mec=4 then namem = " апреля "
        if mec=5 then namem = " мая "
        if mec=6 then namem = " июня "
        if mec=7 then namem = " июля "
        if mec=8 then namem = " августа "
        if mec=9 then namem = " сентября "
        if mec=10 then namem = " октября "
        if mec=11 then namem = " ноября "
        if mec=12 then namem = " декабря "
        if mec = 1 | mec = 3 | mec = 5 | mec = 7 | mec = 8 | mec = 10 | mec = 12 then day = 31
        if mec = 4 | mec = 6 | mec = 9 | mec = 11 then day = 30
        if mec = 2 then day = 28

        system("copy "+path+"kpok21.xls "+path+"kpok_.xls")
        dde_open("EXCEL")
        dde_execute("[APP.MINIMIZE()]")
        dde_execute("[OPEN("+chr(34)+path+"kpok_.xls"+chr(34)+")]")
        dde_execute("[WORKBOOK.ACTIVATE("+chr(34)+"Лист1"+chr(34)+")]")

        dde_poke("R6C1","Покупка за период с 1"+namem+" "+god+" г. "+" по "+str(day,1,0)+namem+" "+god+" г.")

      ns = 1
      d = open("kpokn")      
          k = 1
          s = 0
         ss = 0
      itogs = 0.0
     itogss = 0.0
    itognds = 0.0

      for i = 1 to size(d)
         if i = 1 then getfirst(d)                                                                                                         
         if i > 1 then getnext(d)
         if 'Номер_док.'.d = "" then goto 101

         s = num(str('Сумма'.d/18*118,10,2))
         ss = num(str(s-'Сумма'.d,10,2))

         stroka = str(12 + ns,1,0)
         if ns > 1
         {  box1 = "R"+str(13+ns-2,1,0)+"C1:R"+str(13+ns-2,1,0)+"C32"
            box2 = "R"+str(13+ns-1,1,0)+"C1:R"+str(13+ns-1,1,0)+"C32"
            dde_execute("[select("+chr(34)+box2+chr(34)+")]")
            dde_execute("[INSERT(2)]")
            dde_execute("[COPY("+chr(34)+box1+chr(34)+")]")
            dde_execute("[PASTE("+chr(34)+box2+chr(34)+")]")
         }
         ns = ns+1
         dde_poke("R"+stroka+"C1",str(k,3,0))
         dde_poke("R"+stroka+"C2","'"+"02")
         dde_poke("R"+stroka+"C3",trim('Номер_док.'.d)+";"+substr('Дата'.d,7,2)+"."+substr('Дата'.d,5,2)+"."+substr('Дата'.d,1,4))
         dde_poke("R"+stroka+"C4","")
         dde_poke("R"+stroka+"C5","")
         dde_poke("R"+stroka+"C8","")
         dde_poke("R"+stroka+"C11",substr('Дата_пост.'.d,7,2)+"."+substr('Дата_пост.'.d,5,2)+"."+substr('Дата_пост.'.d,1,4))
         dde_poke("R"+stroka+"C9",substr('Дата_опл.'.d,7,2)+"."+substr('Дата_опл.'.d,5,2)+"."+substr('Дата_опл.'.d,1,4))                                               
         dde_poke("R"+stroka+"C12","'"+substr('Название'.d,1,50))
         inn = trim('ИННП'.d)
         kpp = trim('КППП'.d)
         dde_poke("R"+stroka+"C13","'"+inn+"/"+kpp)
         dde_poke("R"+stroka+"C21",num(str('Всего'.d,10,2)))
         dde_poke("R"+stroka+"C22",num(str('НДС_18'.d,10,2)))

itogs = itogs + s
itogss = itogss + ss
itognds = itognds + 'НДС_18'.d

         k = k + 1 
101   next
  
      stroka = str(12+ns,1,0)
      dde_poke("R"+stroka+"C22",str(itognds,12,2))

      dde_execute("[APP.RESTORE()]")
      dde_execute("[SELECT("+chr(34)+"R1C1:R1C1"+chr(34)+")]")
      close(d)
900
      end
